<?php
// REGISTER BLOCK


// structure
$defaults = array(
	'redirect' => array(
		'label'		=> __('Custom redirect', PC_ML),
		'help'		=> __('Use a valid URL or "refresh" keyword', PC_ML),
		'type'		=> 'text',
		'default' 	=> '',
		'panel'		=> 'main',
	),
	'pc_align' => array(
		'label'		=> __('Form alignment', PC_ML),
		'type'		=> 'select',
		'opts'		=> array(
			'center'	=> __('Center', PC_ML),
			'left'		=> __('Left', PC_ML),
			'right'		=> __('Right', PC_ML),
		),
		'default' 	=> 'center',
		'panel'		=> 'main',
	),
);



register_block_type('lcweb/pc-user-del-box', array(
	'editor_script' 	=> 'pc_user_del_on_guten',
	'render_callback' 	=> 'pc_user_del_guten_handler',
	'attributes' 		=> $defaults
));



wp_localize_script('wp-blocks', 'pc_user_del_defaults', $defaults);
